image:
  registry: registry.gitlab.com
  image: gitlab-org/gitlab-runner
  #tag: alpine-vRUNNER_VERSION

imagePullPolicy: IfNotPresent

# imagePullSecrets:
#   - name: "image-pull-secret"

probeTimeoutSeconds: 10

# replicas: 1

# revisionHistoryLimit: 10

gitlabUrl: https://GITLAB_DOMAIN.SITE_DOMAIN.ROOT_DOMAIN/

#runnerRegistrationToken: "REGISTRATION_TOKEN"

runnerToken: "RUNNER_TOKEN"

unregisterRunners: true

terminationGracePeriodSeconds: 3600

# certsSecretName:

concurrent: 10

checkInterval: 30

# logLevel:

# logFormat:

# sentryDsn:

#preEntrypointScript: |
#  echo "hello"

sessionServer:
  enabled: false
  # annotations: {}
  # timeout: 1800
  # internalPort: 8093
  # externalPort: 9000
  # publicIP: ""
  # loadBalancerSourceRanges:
  #   - 1.2.3.4/32

## For RBAC support:
rbac:
  create: true
  rules: []
  clusterWideAccess: false
  podSecurityPolicy:
    enabled: false
    resourceNames:
    - gitlab-runner
  # imagePullSecrets: []

metrics:
  enabled: false
  portName: metrics
  port: 9252
  serviceMonitor:
    enabled: false

service:
  enabled: false
  type: ClusterIP

runners:
  # runner configuration, where the multi line strings is evaluated as
  # template so you can specify helm values inside of it.
  #
  # tpl: https://helm.sh/docs/howto/charts_tips_and_tricks/#using-the-tpl-function
  # runner configuration: https://docs.gitlab.com/runner/configuration/advanced-configuration.html
#  config: |
#    [[runners]]
#      [runners.kubernetes]
#        namespace = "{{.Release.Namespace}}"
#        image = "K8S_IMAGE"

  cache: {}
 
  builds: {}

  services: {}
 
  helpers: {}
 
securityContext:
  allowPrivilegeEscalation: false
  readOnlyRootFilesystem: false
  runAsNonRoot: true
  privileged: false
  capabilities:
    drop: ["ALL"]


podSecurityContext:
  runAsUser: 100
  runAsGroup: 65533
  fsGroup: 65533
  # supplementalGroups: [65533]

  ## Note: values for the ubuntu image:
  # runAsUser: 999
  # fsGroup: 999


resources: {}
  # limits:
  #   memory: 256Mi
  #   cpu: 200m
  # requests:
  #   memory: 128Mi
  #   cpu: 100m


affinity: {}


nodeSelector: {}
  # Example: The gitlab runner manager should not run on spot instances so you can assign
  # them to the regular worker nodes only.
  # node-role.kubernetes.io/worker: "true"


tolerations: []
  # Example: Regular worker nodes may have a taint, thus you need to tolerate the taint
  # when you assign the gitlab runner manager with nodeSelector or affinity to the nodes.
  # - key: "node-role.kubernetes.io/worker"
  #   operator: "Exists"


hostAliases: 
  - ip: "LB_IP"
    hostnames:
      - "GITLAB_DOMAIN.SITE_DOMAIN.ROOT_DOMAIN"

      
## Annotations to be added to manager pod
##
podAnnotations: {}
  # Example:
  # iam.amazonaws.com/role: <my_role_arn>

## Labels to be added to manager pod
##
podLabels: {}
  # Example:
  # owner.team: <my_cool_team>


priorityClassName: ""

## Secrets to be additionally mounted to the containers.
## All secrets are mounted through init-runner-secrets volume
## and placed as readonly at /init-secrets in the init container
## and finally copied to an in-memory volume runner-secrets that is
## mounted at /secrets.
secrets: []
  # Example:
  # - name: my-secret
  # - name: myOtherSecret
  #   items:
  #     - key: key_one
  #       path: path_one

## Additional config files to mount in the containers in `/configmaps`.
##
## Please note that a number of keys are reserved by the runner.
## See https://gitlab.com/gitlab-org/charts/gitlab-runner/-/blob/main/templates/configmap.yaml
## for a current list.
configMaps: {}

## Additional volumeMounts to add to the runner container
##
volumeMounts: []
  # Example:
  # - name: my-volume
  #   mountPath: /mount/path

## Additional volumes to add to the runner deployment
##
volumes: []
  # Example:
  # - name: my-volume
  #   persistentVolumeClaim:
  #     claimName: my-pvc
